Subject: [ADD]اضافة شاشة محرك بحث شامل في الوثائق و محتوياتها
Author: Rami Ben Hadj Ahmed
Committer: Rami Ben Hadj Ahmed

Date Level Type Message
2019-03-07 12:00:59 INFO runbot init Init build environment
2019-03-07 12:01:40 INFO runbot test_all Start test all modules
2019-03-07 12:02:59 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base.tests.test_base tested in 6.68s, 2723 queries
2019-03-07 12:03:07 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base.tests.test_expression tested in 8.50s, 5598 queries
2019-03-07 12:03:20 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base.tests.test_ir_actions tested in 11.91s, 2330 queries
2019-03-07 12:03:36 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base.tests.test_orm tested in 8.68s, 1990 queries
2019-03-07 12:04:31 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base.tests.test_translate tested in 46.00s, 25627 queries
2019-03-07 12:04:50 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base.tests.test_views tested in 17.67s, 4813 queries
2019-03-07 12:04:51 INFO server odoo.modules.loading:234 load_module_graph 1 modules loaded in 175.33s, 48242 queries
2019-03-07 12:05:38 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.resource.tests.test_resource tested in 5.78s, 1982 queries
2019-03-07 12:06:43 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base_import.tests.test_base_import tested in 45.33s, 232 queries
2019-03-07 12:08:03 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.mail.tests.test_invite tested in 5.25s, 963 queries
2019-03-07 12:08:14 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.mail.tests.test_mail_channel tested in 8.62s, 1600 queries
2019-03-07 12:08:28 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.mail.tests.test_mail_features tested in 14.72s, 4127 queries
2019-03-07 12:08:43 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.mail.tests.test_mail_gateway tested in 10.90s, 4915 queries
2019-03-07 12:08:50 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.mail.tests.test_mail_message tested in 7.59s, 3566 queries
2019-03-07 12:09:20 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.calendar.tests.test_calendar tested in 7.15s, 5839 queries
2019-03-07 12:09:32 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.event.tests.test_event_flow tested in 5.25s, 4300 queries
2019-03-07 12:10:40 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.product.tests.test_variants tested in 8.12s, 7979 queries
2019-03-07 12:11:54 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.crm.tests.test_crm_lead tested in 8.43s, 6724 queries
2019-03-07 12:12:03 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.crm.tests.test_lead2opportunity tested in 8.94s, 6739 queries
2019-03-07 12:12:31 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_holidays.tests.test_holidays_flow tested in 11.07s, 5544 queries
2019-03-07 12:13:20 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.project.tests.test_access_rights tested in 7.66s, 5165 queries
2019-03-07 12:13:30 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.project.tests.test_project_flow tested in 5.07s, 3570 queries
2019-03-07 12:14:51 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.hr_payroll.tests.test_payslip_flow tested in 6.65s, 1120 queries
2019-03-07 12:15:27 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.survey.tests.test_survey tested in 16.35s, 11746 queries
2019-03-07 12:16:24 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.purchase_request.tests.test_purchase_flow tested in 9.29s, 3464 queries
2019-03-07 12:16:55 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.website_forum.tests.test_forum tested in 5.98s, 4666 queries
2019-03-07 12:17:09 WARNING server odoo.modules.loading:506 reset_modules_state Transient module states were reset
2019-03-07 12:17:09 ERROR server odoo.modules.registry:90 new
Failed to load registry
Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/opt/odoo/odoo11/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/opt/odoo/odoo11/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.model.data', <function IrModelData.xmlid_lookup at 0x7fcfea935d08>, 'dms.dms_folder_public')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/modules/registry.py", line 85, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 380, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 274, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 153, in load_module_graph
    registry.init_models(cr, model_names, {'module': package.name})
  File "/opt/odoo/odoo11/odoo/modules/registry.py", line 306, in init_models
    model._auto_init()
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_attachment.py", line 306, in _auto_init
    res = super(IrAttachment, self)._auto_init()
  File "/opt/odoo/odoo11/odoo/models.py", line 2219, in _auto_init
    new = field.update_db(self, columns)
  File "/opt/odoo/odoo11/odoo/fields.py", line 1944, in update_db
    return super(Many2one, self).update_db(model, columns)
  File "/opt/odoo/odoo11/odoo/fields.py", line 846, in update_db
    self.update_db_notnull(model, column)
  File "/opt/odoo/odoo11/odoo/fields.py", line 886, in update_db_notnull
    model._init_column(self.name)
  File "/opt/odoo/odoo11/odoo/models.py", line 2136, in _init_column
    value = field.default(self)
  File "/mnt/vdb/odoo/addons_runbot/runbot/static/build/09059-1242-ec5589/addons/dms/models/ir_attachment.py", line 11, in <lambda>
    folder_id = fields.Many2one('dms.folder', string='المجلد', default=lambda self: self.env.ref('dms.dms_folder_public'))
  File "/opt/odoo/odoo11/odoo/api.py", line 793, in ref
    return self['ir.model.data'].xmlid_to_object(xml_id, raise_if_not_found=raise_if_not_found)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_model.py", line 1351, in xmlid_to_object
    t = self.xmlid_to_res_model_res_id(xmlid, raise_if_not_found)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_model.py", line 1335, in xmlid_to_res_model_res_id
    return self.xmlid_lookup(xmlid)[1:3]
  File "<decorator-gen-21>", line 2, in xmlid_lookup
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_model.py", line 1324, in xmlid_lookup
    raise ValueError('External ID not found in the system: %s' % xmlid)
ValueError: External ID not found in the system: dms.dms_folder_public
2019-03-07 12:17:09 CRITICAL server odoo.service.server:961 preload_registries
Failed to initialize database `09059-1242-ec5589-all`.
Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 84, in lookup
    r = d[key]
  File "/opt/odoo/odoo11/odoo/tools/func.py", line 68, in wrapper
    return func(self, *args, **kwargs)
  File "/opt/odoo/odoo11/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.model.data', <function IrModelData.xmlid_lookup at 0x7fcfea935d08>, 'dms.dms_folder_public')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/service/server.py", line 932, in preload_registries
    registry = Registry.new(dbname, update_module=update_module)
  File "/opt/odoo/odoo11/odoo/modules/registry.py", line 85, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 380, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 274, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 153, in load_module_graph
    registry.init_models(cr, model_names, {'module': package.name})
  File "/opt/odoo/odoo11/odoo/modules/registry.py", line 306, in init_models
    model._auto_init()
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_attachment.py", line 306, in _auto_init
    res = super(IrAttachment, self)._auto_init()
  File "/opt/odoo/odoo11/odoo/models.py", line 2219, in _auto_init
    new = field.update_db(self, columns)
  File "/opt/odoo/odoo11/odoo/fields.py", line 1944, in update_db
    return super(Many2one, self).update_db(model, columns)
  File "/opt/odoo/odoo11/odoo/fields.py", line 846, in update_db
    self.update_db_notnull(model, column)
  File "/opt/odoo/odoo11/odoo/fields.py", line 886, in update_db_notnull
    model._init_column(self.name)
  File "/opt/odoo/odoo11/odoo/models.py", line 2136, in _init_column
    value = field.default(self)
  File "/mnt/vdb/odoo/addons_runbot/runbot/static/build/09059-1242-ec5589/addons/dms/models/ir_attachment.py", line 11, in <lambda>
    folder_id = fields.Many2one('dms.folder', string='المجلد', default=lambda self: self.env.ref('dms.dms_folder_public'))
  File "/opt/odoo/odoo11/odoo/api.py", line 793, in ref
    return self['ir.model.data'].xmlid_to_object(xml_id, raise_if_not_found=raise_if_not_found)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_model.py", line 1351, in xmlid_to_object
    t = self.xmlid_to_res_model_res_id(xmlid, raise_if_not_found)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_model.py", line 1335, in xmlid_to_res_model_res_id
    return self.xmlid_lookup(xmlid)[1:3]
  File "<decorator-gen-21>", line 2, in xmlid_lookup
  File "/opt/odoo/odoo11/odoo/tools/cache.py", line 89, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/opt/odoo/odoo11/odoo/addons/base/ir/ir_model.py", line 1324, in xmlid_lookup
    raise ValueError('External ID not found in the system: %s' % xmlid)
ValueError: External ID not found in the system: dms.dms_folder_public
2019-03-07 12:17:15 INFO runbot run Start running build 09059-1242-ec5589
2019-03-07 12:17:17 INFO server odoo.modules.loading:234 load_module_graph 1 modules loaded in 0.26s, 0 queries
2019-03-07 12:17:18 INFO server odoo.modules.loading:234 load_module_graph 109 modules loaded in 0.84s, 0 queries
2019-03-07 15:20:11 INFO runbot _ask_kill Killing build 09059-1242-ec5589, requested by Intissar (user #6)
2019-03-07 15:20:24 INFO runbot kill Kill build 09059-1242-ec5589